Job
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Job

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Job

    public class Job

extends DataModel

Constructor Summary
`Job()`
`Job(org.gcube.application.aquamaps.datamodel.Job toLoad)`

Method Summary
`int` | `addAquaMapsObject(java.util.Collection<AquaMapsObject> toAdd)`
`AquaMapsObject` | `addAquaMapsObject(ObjectType type)`
`int` | `addAreas(java.util.Collection<Area> toAdd)`
`int` | `addSpecies(java.util.Collection<Species> toAdd)`
`java.util.List<AquaMapsObject>` | `getAquaMapsObjectList()`
`java.lang.String` | `getAuthor()`
`java.lang.String` | `getCompressedCoverage()`
`java.lang.Long` | `getDate()`
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>>` | `getEnvelopeCustomization()`
`java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>>` | `getEnvelopeWeights()`
`int` | `getId()`
`java.lang.Boolean` | `getIsGis()`
`java.lang.String` | `getName()`
`java.util.List<File>` | `getRelated()`
`java.util.Set<Area>` | `getSelectedAreas()`
`java.util.Set<Species>` | `getSelectedSpecies()`
`Resource` | `getSourceHCAF()`
`Resource` | `getSourceHSPEC()`
`Resource` | `getSourceHSPEN()`
`SubmittedStatus` | `getStatus()`
`java.lang.String` | `getWmsContextId()`
`int` | `removeAquaMapsObject(java.util.Collection<AquaMapsObject> toRemove)`
`int` | `removeAreas(java.util.Collection<Area> toRemove)`
`int` | `removeSpecies(java.util.Collection<Species> toAdd)`
`void` | `setAquaMapsObjectList(java.util.List<AquaMapsObject> aquaMapsObjectList)`
`void` | `setAuthor(java.lang.String author)`
`void` | `setCustomization(Species s, Field f, Perturbation p)`
`void` | `setDate(java.lang.Long date)`
`void` | `setEnvelopeCustomization(java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization)`
`void` | `setEnvelopeWeights(java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)`
`void` | `setId(int id)`
`void` | `setIsGis(java.lang.Boolean isGis)`
`void` | `setName(java.lang.String name)`
`void` | `setRelated(java.util.List<File> related)`
`void` | `setSelectedAreas(java.util.Set<Area> selectedAreas)`
`void` | `setSelectedSpecies(java.util.Set<Species> selectedSpecies)`
`void` | `setSourceHCAF(Resource sourceHCAF)`
`void` | `setSourceHSPEC(Resource sourceHSPEC)`
`void` | `setSourceHSPEN(Resource sourceHSPEN)`
`void` | `setStatus(SubmittedStatus status)`
`void` | `setWeights(Species s, java.util.List<Field> weights)`
`void` | `setWmsContextId(java.lang.String wmsContextId)`
`org.gcube.application.aquamaps.datamodel.Job` | `toStubsVersion()`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Job

    public Job()

### Job

    public Job(org.gcube.application.aquamaps.datamodel.Job toLoad)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getStatus

    public SubmittedStatus getStatus()

### setStatus

    public void setStatus(SubmittedStatus status)

### getSourceHSPEN

    public Resource getSourceHSPEN()

### setSourceHSPEN

    public void setSourceHSPEN(Resource sourceHSPEN)

### getSourceHCAF

    public Resource getSourceHCAF()

### setSourceHCAF

    public void setSourceHCAF(Resource sourceHCAF)

### getSourceHSPEC

    public Resource getSourceHSPEC()

### setSourceHSPEC

    public void setSourceHSPEC(Resource sourceHSPEC)

### getAuthor

    public java.lang.String getAuthor()

### setAuthor

    public void setAuthor(java.lang.String author)

### getDate

    public java.lang.Long getDate()

### setDate

    public void setDate(java.lang.Long date)

### addSpecies

    public int addSpecies(java.util.Collection<Species> toAdd)

### addAreas

    public int addAreas(java.util.Collection<Area> toAdd)

### getAquaMapsObjectList

    public java.util.List<AquaMapsObject> getAquaMapsObjectList()

### setAquaMapsObjectList

    public void setAquaMapsObjectList(java.util.List<AquaMapsObject> aquaMapsObjectList)

### getSelectedSpecies

    public java.util.Set<Species> getSelectedSpecies()

### getEnvelopeCustomization

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> getEnvelopeCustomization()

### getSelectedAreas

    public java.util.Set<Area> getSelectedAreas()

### getRelated

    public java.util.List<File> getRelated()

### setRelated

    public void setRelated(java.util.List<File> related)

### removeAreas

    public int removeAreas(java.util.Collection<Area> toRemove)

### removeSpecies

    public int removeSpecies(java.util.Collection<Species> toAdd)

### addAquaMapsObject

    public int addAquaMapsObject(java.util.Collection<AquaMapsObject> toAdd)

### removeAquaMapsObject

    public int removeAquaMapsObject(java.util.Collection<AquaMapsObject> toRemove)

### addAquaMapsObject

    public AquaMapsObject addAquaMapsObject(ObjectType type)

### setId

    public void setId(int id)

### getId

    public int getId()

### setEnvelopeWeights

    public void setEnvelopeWeights(java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> envelopeWeights)

### getEnvelopeWeights

    public java.util.Map<java.lang.String,java.util.Map<EnvelopeFields,Field>> getEnvelopeWeights()

### toStubsVersion

    public org.gcube.application.aquamaps.datamodel.Job toStubsVersion()
                                                                throws JSONException

  Throws:
    `JSONException`

### setSelectedSpecies

    public void setSelectedSpecies(java.util.Set<Species> selectedSpecies)

### setEnvelopeCustomization

    public void setEnvelopeCustomization(java.util.Map<java.lang.String,java.util.Map<java.lang.String,Perturbation>> envelopeCustomization)

### setSelectedAreas

    public void setSelectedAreas(java.util.Set<Area> selectedAreas)

### setCustomization

    public void setCustomization(Species s,
                                 Field f,
                                 Perturbation p)

### setWeights

    public void setWeights(Species s,
                           java.util.List<Field> weights)

### getIsGis

    public java.lang.Boolean getIsGis()

### setIsGis

    public void setIsGis(java.lang.Boolean isGis)

### getWmsContextId

    public java.lang.String getWmsContextId()

### setWmsContextId

    public void setWmsContextId(java.lang.String wmsContextId)

### getCompressedCoverage

    public java.lang.String getCompressedCoverage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD